Bug 331891 - Broken references-chain (email header) leads to new Thread
Summary: Broken references-chain (email header) leads to new Thread
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 5.2.1
Platform: Neon Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-08 20:35 UTC by Bernhard Scheirle
Modified: 2016-12-23 22:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Scheirle 2014-03-08 20:35:08 UTC
Asume we have two emails with the following headers:
header 1:
Message-ID: <first@host>

header 2:
Message-ID: <third@host>
In-Reply-To: <second@host>
References: <first@host> <second@host>

Now shouldn't these two emails be in the same thread regardless where the email with the Message-ID <second@host> is (especially if <second@host> isn't present)?

Reproducible: Always

Steps to Reproduce:
1. Send an email to yourself
2. Reply to that email
3. Reply to the reply
3. Delete the second email
Actual Results:  
Now the first and third email are in separate threads.

Expected Results:  
The first and third email should still be in the same thread.

You have to enable threads in your messages list:
View -> Message List -> Aggregation -> Default Message List
Comment 1 Denis Kurz 2016-09-24 17:55:22 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 2 Bernhard Scheirle 2016-09-24 18:06:56 UTC
This is still present / reproducible in KMail 5.3.0.

KDE Neon
KDE Frameworks 5.26.0
Qt 5.7.0 (kompiliert gegen 5.7.0)
Das xcb Fenstersystem

[I updated the bug report to 5.2.1 since 5.3.0 is not present in the drop down menu]
Comment 3 Matt Whitlock 2016-12-23 22:21:30 UTC
Still reproducible in KMail 5.4.0 too.

Quite annoying, as this breaks the most common threading scenario: Bob emails me, I reply back, Bob replies to my reply. Bob's reply is not threaded under Bob's original message, as the intervening message (my reply) is in my Sent box, not in my Inbox. Threading should consider *all* of the message IDs given in the "References" header if a message identified by the "In-Reply-To" header is not found.